//Exemplo que irá posicionar o ponteiro do mouse em determinada posição e em seguida
//usar o mouseMiddlePress, (apertar o scroll) e posicionar o mouse para baixo.
//Finalizando usando o mouseMiddleRelease (soltar o scroll).

//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Link para o vídeo que utiliza este código: https://www.youtube.com/watch?v=1hw_mmkdxLc&t=617s

#include <SerialMouseKeyboardControl.h>

SerialMouseKeyboardControl smkc;

void setup() 
{
  //SerialMouseKeyboardControl usa Serial. Defina o Baud Rate desejado.
  //O exemplo utiliza Baud Rate 9600.
  Serial.begin(9600);

  smkc.setMousePosition(800, 300); //Move o ponteiro para a posição determinada

  smkc.mouseMiddlePress();

  delay(2000);

  smkc.setMousePosition(800, 400); //Move o ponteiro para a posição determinada

  delay(8000);

  smkc.mouseMiddleRelease();
}

void loop() 
{
 
}